
QGIS Application - Bug report #10014

QGIS master crashes when D&D a shapefile in PostGIS DB using the QGIS browser

2014-04-07 06:49 PM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Browser

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 18501

Description

I believe it is a regression

giovanni@sibirica ~ $ qgis

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: QGraphicsScene::addItem: item has already been added to this scene

***************** deactivate parallellinetool

***************** deactivate circulararctool

***************** deactivate modifycirculararctool

NOTICE:  CREATE TABLE will create implicit sequence "grelha_2x2_utm29n_id_seq" for serial column "grelha_2x2_utm29n.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "grelha_2x2_utm29n_pkey" for table "grelha_2x2_utm29n" 

QGIS died on signal 11[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

[New Thread 0x7f760a02c700 (LWP 10737)]

[New Thread 0x7f761b39e700 (LWP 10725)]

[New Thread 0x7f76709ff700 (LWP 10723)]

[New Thread 0x7f7671300700 (LWP 10722)]

0x00007f768acefccd in waitpid () from /lib/x86_64-linux-gnu/libc.so.6

[Current thread is 1 (Thread 0x7f769200a7c0 (LWP 10721))]

#0  0x00007f768acefccd in waitpid () from /lib/x86_64-linux-gnu/libc.so.6

No symbol table info available.

#1  0x00000000004f5050 in qgisCrash(int) ()

No symbol table info available.

#2  <signal handler called>

No symbol table info available.

#3  0x00007f76201bca21 in QgsPostgresProvider::createEmptyLayer(QString const&, QgsFields const&, QGis::WkbType,

QgsCoordinateReferenceSystem const*, bool, QMap<int, int>*, QString*, QMap<QString, QVariant> const*) () from

/usr/lib/qgis/plugins/libpostgresprovider.so

No symbol table info available.

#4  0x00007f768ea3b710 in QgsVectorLayerImport::QgsVectorLayerImport(QString const&, QString const&, QgsFields const&,

QGis::WkbType, QgsCoordinateReferenceSystem const*, bool, QMap<QString, QVariant> const*, QProgressDialog*) () from

/usr/lib/libqgis_core.so.2.3.0

No symbol table info available.

#5  0x00007f768ea3c64b in QgsVectorLayerImport::importLayer(QgsVectorLayer*, QString const&, QString const&,

QgsCoordinateReferenceSystem const*, bool, QString*, bool, QMap<QString, QVariant>*, QProgressDialog*) () from

/usr/lib/libqgis_core.so.2.3.0

No symbol table info available.

#6  0x00007f76201d3922 in QgsPGConnectionItem::handleDrop(QMimeData const*, Qt::DropAction) () from

/usr/lib/qgis/plugins/libpostgresprovider.so

No symbol table info available.
#7  0x00007f768d204ce6 in QSortFilterProxyModel::dropMimeData(QMimeData const*, Qt::DropAction, int, int, QModelIndex

const&) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#8  0x00007f768d17c7f2 in QAbstractItemView::dropEvent(QDropEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#9  0x00007f768cca9491 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#10 0x00007f768d0693f6 in QFrame::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#11 0x00007f768d17d8db in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#12 0x00007f768d1c54f5 in QTreeView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#13 0x00007f768d8d6028 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#14 0x00007f768cc5885f in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#15 0x00007f768cc5dc5f in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#16 0x00007f768e8a0ff6 in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.2.3.0

No symbol table info available.

#17 0x00007f768d8d5e9c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#18 0x00007f768cce31a3 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#19 0x00007f768cce4733 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#20 0x00007f768cce74c8 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#21 0x00007f768d8d5f6c in QCoreApplicationPrivate::sendThroughApplicationEventFilters(QObject*, QEvent*) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#22 0x00007f768cc58806 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from

/usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#23 0x00007f768cc5e0bf in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#24 0x00007f768e8a0ff6 in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.2.3.0

No symbol table info available.

#25 0x00007f768d8d5e9c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#26 0x00007f768cc59862 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*,

QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#27 0x00007f768ccd8c35 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#28 0x00007f768ccd7bee in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#29 0x00007f768cd01112 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#30 0x00007f7689792d13 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.
#31 0x00007f7689793060 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#32 0x00007f7689793124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#33 0x00007f768d9053bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#34 0x00007f768cd00d9e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#35 0x00007f768d8d4c82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#36 0x00007f768d8d4ed7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#37 0x00007f768cce71c3 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#38 0x00007f768cc6a4f8 in QDrag::exec(QFlags<Qt::DropAction>, Qt::DropAction) () from

/usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#39 0x00007f768d1895e3 in QAbstractItemView::startDrag(QFlags<Qt::DropAction>) () from

/usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#40 0x00007f768d186fae in QAbstractItemView::mouseMoveEvent(QMouseEvent*) () from

/usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#41 0x00007f768cca9178 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#42 0x00007f768d0693f6 in QFrame::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#43 0x00007f768d17d8db in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#44 0x00007f768d1c54f5 in QTreeView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#45 0x00007f768d8d6028 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#46 0x00007f768cc5885f in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#47 0x00007f768cc5e0bf in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#48 0x00007f768e8a0ff6 in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.2.3.0

No symbol table info available.

#49 0x00007f768d8d5e9c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#50 0x00007f768cc59862 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*,

QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#51 0x00007f768ccd8c35 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#52 0x00007f768ccd7bee in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#53 0x00007f768cd01112 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
No symbol table info available.

#54 0x00007f7689792d13 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#55 0x00007f7689793060 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#56 0x00007f7689793124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#57 0x00007f768d9053bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#58 0x00007f768cd00d9e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#59 0x00007f768d8d4c82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#60 0x00007f768d8d4ed7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#61 0x00007f768d8d9f67 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#62 0x00000000004ef571 in main ()

No symbol table info available.

gdb returned 0

Aborted (core dumped)

Associated revisions

Revision f4545d9d - 2014-05-31 04:31 PM - Jürgen Fischer

fix crash in postgres layer creation (followup 3470b1d5c; fixes #10014)

History

#1 - 2014-04-10 01:31 AM - Jürgen Fischer

- Subject changed from QGIS master crases wehen D&D a shapefile in  PostGIS DB using the QGIS browser to QGIS master crashes when D&D a 

shapefile in PostGIS DB using the QGIS browser

#2 - 2014-05-31 07:31 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"f4545d9dec81ca7d57b1a8b3cafb19b50e78f9b8".
